# Fetch an Identity's Merchant

Retrieve the `Merchant` resource for an `Identity`.

Endpoint: GET /identities/{identity_id}/merchants
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `identity_id` (string, required)
    The `Identity` ID.

## Header parameters:

  - `Finix-Version` (string)
    Specify the API version of your request. For more details, see [Versioning](../../../../additional-resources/developers/authentication-and-api-basics/versioning).

## Response 200:

  - `200` (unknown)
    List of `Merchant` resources

## Response 200 fields (application/json):

  - `page` (object)
    Details the page that's returned.

  - `page.limit` (integer)
    The number of entries to return.

  - `page.next_cursor` (string)
    The cursor to use for the next page of results.

  - `_embedded` (object)

  - `_embedded.List of Merchants` (array)

  - `_embedded.List of Merchants.id` (string)
    The ID of the resource.

  - `_embedded.List of Merchants.created_at` (string)
    Timestamp of when the object was created.

  - `_embedded.List of Merchants.updated_at` (string)
    Timestamp of when the object was last updated.

  - `_embedded.List of Merchants.application` (string)
    ID of the `Application` associated with the resource.

  - `_embedded.List of Merchants.card_cvv_required` (boolean)
    Set to `true` to require the card's CVV code.

  - `_embedded.List of Merchants.card_expiration_date_required` (boolean)
    Set to `true` to require the card's expiration date.

  - `_embedded.List of Merchants.card_network_details` (object)

  - `_embedded.List of Merchants.convenience_charges_enabled` (boolean)
    Set to `true` if you want to enable the `Merchant` to accept convenience fees and/or service fees.

  - `_embedded.List of Merchants.country` (string)
    The `Merchant`'s country.
    Enum: "ABW", "AFG", "AGO", "AIA", "ALA", "ALB", "AND", "ARE", "ARG", "ARM", "ASM", "ATA", "ATF", "ATG", "AUS", "AUT", "AZE", "BDI", "BEL", "BEN", "BES", "BFA", "BGD", "BGR", "BHR", "BHS", "BIH", "BLM", "BLR", "BLZ", "BMU", "BOL", "BRA", "BRB", "BRN", "BTN", "BVT", "BWA", "CAF", "CAN", "CCK", "CHE", "CHL", "CHN", "CIV", "CMR", "COD", "COG", "COK", "COL", "COM", "CPV", "CRI", "CUB", "CUW", "CXR", "CYM", "CYP", "CZE", "DEU", "DJI", "DMA", "DNK", "DOM", "DZA", "ECU", "EGY", "ERI", "ESH", "ESP", "EST", "ETH", "FIN", "FJI", "FLK", "FRA", "FRO", "FSM", "GAB", "GBR", "GEO", "GGY", "GHA", "GIB", "GIN", "GLP", "GMB", "GNB", "GNQ", "GRC", "GRD", "GRL", "GTM", "GUF", "GUM", "GUY", "HKG", "HMD", "HND", "HRV", "HTI", "HUN", "IDN", "IMN", "IND", "IOT", "IRL", "IRN", "IRQ", "ISL", "ISR", "ITA", "JAM", "JEY", "JOR", "JPN", "KAZ", "KEN", "KGZ", "KHM", "KIR", "KNA", "KOR", "KWT", "LAO", "LBN", "LBR", "LBY", "LCA", "LIE", "LKA", "LSO", "LTU", "LUX", "LVA", "MAC", "MAF", "MAR", "MCO", "MDA", "MDG", "MDV", "MEX", "MHL", "MKD", "MLI", "MLT", "MMR", "MNE", "MNG", "MNP", "MRT", "MSR", "MTQ", "MUS", "MWI", "MYS", "MYT", "NAM", "NCL", "NER", "NFK", "NGA", "NIC", "NIU", "NLD", "NOR", "NPL", "NRU", "NZL", "OMN", "PAK", "PAN", "PCN", "PER", "PHL", "PLW", "PNG", "POL", "PRI", "PRK", "PRT", "PRY", "PSE", "PYF", "QAT", "REU", "ROU", "RUS", "RWA", "SAU", "SDN", "SEN", "SGP", "SGS", "SHN", "SJM", "SLB", "SLE", "SLV", "SMR", "SOM", "SPM", "SRB", "SSD", "STP", "SUR", "SVK", "SVN", "SWE", "SWZ", "SXM", "SYC", "SYR", "TCA", "TCD", "TGO", "THA", "TJK", "TKL", "TKM", "TLS", "TON", "TTO", "TUN", "TUR", "TUV", "TWN", "TZA", "UGA", "UKR", "UMI", "URY", "USA", "UZB", "VAT", "VCT", "VEN", "VGB", "VIR", "VNM", "VUT", "WLF", "WSM", "XKX", "YEM", "ZAF", "ZMB", "ZWE"

  - `_embedded.List of Merchants.creating_transfer_from_report_enabled` (boolean)
    Set to `true` to automatically create `Transfers` once settlement reports get generated.

  - `_embedded.List of Merchants.currencies` (array)
    ISO 4217 3-letter currency code.

  - `_embedded.List of Merchants.default_partial_authorization_enabled` (boolean)
    - Set to **true** if you want to enable partial authorizations for a specific `Merchant`.
- Partial authorizations enable the `Merchant` to collect a portion of the amount if the cardholder doesn't have the funds to cover the entire amount on their card.

  - `_embedded.List of Merchants.disbursements_ach_pull_enabled` (boolean)
    Indicates whether standard ACH pull disbursements (debits) are enabled.

  - `_embedded.List of Merchants.disbursements_ach_push_enabled` (boolean)
    Indicates whether standard ACH push disbursements (credits) are enabled.

  - `_embedded.List of Merchants.disbursements_card_pull_enabled` (boolean)
    Indicates whether card pull disbursements are enabled.

  - `_embedded.List of Merchants.disbursements_card_push_enabled` (boolean)
    Indicates whether card push disbursements are enabled.

  - `_embedded.List of Merchants.disbursements_same_day_ach_pull_enabled` (boolean)
    Indicates whether same-day ACH pull disbursements (debits) are enabled, allowing funds to be withdrawn from an account via same-day ACH transfer.

  - `_embedded.List of Merchants.disbursements_same_day_ach_push_enabled` (boolean)
    Indicates whether same-day ACH push disbursements (credits) are enabled, allowing funds to be sent to an account via same-day ACH transfer.

  - `_embedded.List of Merchants.fee_ready_to_settle_upon` (string)
    Details how the `Merchant` settles fees.
    Enum: "RECONCILIATION", "SUCCESSFUL_CAPTURE", "PROCESSOR_WINDOW", "CONFIGURABLE_WINDOW"

  - `_embedded.List of Merchants.first_approved_at` (string)
    This field shows the timestamp when the `Merchant` was first approved. If the `Merchant` has not been approved yet, the value is `null`.

  - `_embedded.List of Merchants.gateway` (string)
    The `Merchant` payment gateway.

  - `_embedded.List of Merchants.gross_settlement_enabled` (boolean)
    Set to `true` to enable gross settlements.

  - `_embedded.List of Merchants.identity` (string)
    The ID of the `Identity` resource associated with the `Merchant`.

  - `_embedded.List of Merchants.instant_payouts_card_push_enabled` (boolean)
    Set to `true` if you want to allow the merchant to be enabled for settlement instant payouts.

  - `_embedded.List of Merchants.is_terminated` (boolean)
    Set to `true` to terminate the `Merchant`. A merchant can only be terminated if its current `onboarding_state` is `APPROVED`.

  - `_embedded.List of Merchants.level_two_level_three_data_enabled` (boolean)
    Set to `true` to enable the `Merchant` for Level 2 and Level 3 processing. Default value is `false`.

  - `_embedded.List of Merchants.loan_repayment` (boolean)
    Whether the merchant is able to support loan repayment on the card networks.

  - `_embedded.List of Merchants.mcc` (string)
    The Merchant Category Code ([MCC](http://www.dm.usda.gov/procurement/card/card_x/mcc.pdf)) that this merchant will be classified under. For a list of approved MCCs, see [Approved Merchant Category Codes.](/guides/managing-operations/security-compliance/approved-merchant-category-codes)

  - `_embedded.List of Merchants.merchant_name` (string)
    The legal name saved in the `Merchant` resource.

  - `_embedded.List of Merchants.merchant_profile` (string)
    Details if a merchant's info was submitted to third-party processors for provisioning.

  - `_embedded.List of Merchants.microdeposit_verification_required_buyer` (boolean)
    Whether microdeposit verification is required for buyers.

  - `_embedded.List of Merchants.microdeposit_verification_required_sender` (boolean)
    Whether microdeposit verification is required for senders.

  - `_embedded.List of Merchants.microdeposit_verification_send_email_enabled` (boolean)
    Whether Finix emails the bank account owner when a microdeposit verification is created.

  - `_embedded.List of Merchants.mid` (string)
    MID of the `Merchant`.

  - `_embedded.List of Merchants.onboarding_state` (string)
    Details the state of the `Merchant's` onboarding.
    Enum: "APPROVED", "PROVISIONING", "REJECTED", "UPDATE_REQUESTED"

  - `_embedded.List of Merchants.processing_enabled` (boolean)
    Details if transaction processing is enabled for the `Merchant`. `ROLE_PARTNER` can only set this value to `false`.

  - `_embedded.List of Merchants.processor` (string)
    Name of the transaction processor.
    Enum: "FINIX_V1", "DUMMY_V1"

  - `_embedded.List of Merchants.processor_details` (object)
    Additional details specific to the processor.

  - `_embedded.List of Merchants.processor_details.mid` (string)

  - `_embedded.List of Merchants.processor_details.api_key` (string)

  - `_embedded.List of Merchants.pending_refunds_strategy` (string)
    The strategy used to hold refunds for this `Merchant`. Refunds stay in `PENDING` until the merchant's settlement balance covers them. For more information, see [Pending refunds](/guides/after-the-payment/refunds/pending-refunds).
`ROLE_PARTNER` credentials can set the following strategies:
- `SEVEN_DAY_DELAYED_ADJUSTMENT`: Refunds are held in `PENDING` for up to 7 days to be covered by settlement funds. After 7 days, Finix debits the merchant's bank account to cover the refund.
- `SAME_DAY_ADJUSTMENT`: Finix issues a debit adjustment near settlement close if the settlement can't cover the refund.
    Enum: "NONE", "SEVEN_DAY_DELAYED_ADJUSTMENT", "SAME_DAY_ADJUSTMENT"

  - `_embedded.List of Merchants.ready_to_settle_upon` (string)
    Details how transactions captured by the `Merchant` are settled.
    Enum: "RECONCILIATION", "SUCCESSFUL_CAPTURE", "PROCESSOR_WINDOW", "CONFIGURABLE_WINDOW"

  - `_embedded.List of Merchants.ready_to_settle_upon_delay_alignment` (string)
    Indicates whether transaction settlement should be delayed to synchronize the timing of all transactions, including both card and ACH, ensuring they are settled together.
Possible values include:
- `ACH` - Align all transactions to match the timing of ACH settlements, so card transactions settle at the same speed as ACH transactions.
- `NONE` - Default behavior where card transactions settle the next day (T+1) and ACH transactions settle two days later (T+2).
    Enum: "ACH", "NONE"

  - `_embedded.List of Merchants.refunds_disabled` (boolean)
    A value of `true` disables refunds for the `Merchant`, including both referenced and unreferenced refunds.

  - `_embedded.List of Merchants.rent_surcharges_enabled` (boolean)
    Set to `true` if you want to enable a `Merchant` to accept rent charges.

  - `_embedded.List of Merchants.settlement_enabled` (boolean)
    Details if settlement approvals are enabled for the `Merchant`. `ROLE_PARTNER` can only set this value to false.

  - `_embedded.List of Merchants.settlement_funding_identifier` (string)
    Includes additional information (like the MID or `Merchant` name) when submitting funding `Transfers` to processors.
- `UNSET`: No additional details get provided to the processor.
- `MID_AND_DATE`: The `MID` of the `Merchant` and the date the funding `Transfer` was submitted (Date is in UTC). e.g `MID:12345678-20220225`
- `MID_AND_MERCHANT_NAME`: The `MID` of the `Merchant` and the `Merchant#name` (white spaces will be removed). e.g. `MID:12345678-NameOfMerchant`

These details appear alongside the seller's payout in their bank account as a description of the deposit.
    Enum: "UNSET", "MID_AND_DATE", "MID_AND_MERCHANT_NAME"

  - `_embedded.List of Merchants.settlement_queue_mode` (string)
    If `settlement_queue_mode` is set to `MANUAL`, Finix will automatically place all transactions (Sales, Fees, Refunds, and ACH Returns) into a settlement queue that you can manage. Each transaction will have a `Settlement Queue Entry`.
When a `Settlement Queue Entry` is created, it will not be placed into `Settlement` until the `Settlement Queue Entry` is explicitly released.
Note: We require the release of all settlement queue entries within 30 days of creation.
    Enum: "UNSET", "MANUAL"

  - `_embedded.List of Merchants.surcharges_enabled` (boolean)
    Set to `true` if you want to enable a `Merchant` to accept surcharge fees. For more details, see [Buyer Charges](/guides/online-payments/payment-features/buyer-charges).

  - `_embedded.List of Merchants.tags` (object)
    Include up to 50 `key: value` pairs to annotate requests with custom metadata.
- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.
(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

  - `_embedded.List of Merchants.termination_details` (object)

  - `_embedded.List of Merchants.termination_details.terminated_at` (string)
    Timestamp indicating when the termination occurred.
    Example: 2024-09-16T13:11:36.72Z

  - `_embedded.List of Merchants.termination_details.reason` (string)
    The reason for termination. Finix reserves the right to return enums that are not listed here.
    Enum: "CHURNED", "COMPLIANCE_VIOLATION", "EXCESSIVE_ACH_RETURNS", "EXCESSIVE_CHARGEBACKS", "FRAUD", "IDENTITY_THEFT", "ILLEGAL_TRANSACTIONS", "INSOLVENCY", "OTHER", "PCI_VIOLATION", "PROCESSOR_MIGRATION", "SUSPECTED_FRAUD", "UNSUPPORTED_BUSINESS_TYPE", "UNUSUAL_ACTIVITY", "VIOLATED_MERCHANT_TERMS_OF_SERVICE"

  - `_embedded.List of Merchants.termination_details.description` (string)
    An explanation that provides context for the termination.

  - `_embedded.List of Merchants.termination_details.terminated_by` (string)
    The role that initiated the termination. If the API key belongs to the `USER` role, the following values will be returned:
- If the role is `ROLE_PLATFORM`, it will return `PLATFORM_USER`.
- If the role is `ROLE_PARTNER`, it will return `PARTNER_USER`.
    Enum: "PLATFORM_USER", "PARTNER_USER"

  - `_embedded.List of Merchants.termination_details.terminated_by_user_id` (string)
    The `User` ID of the user who initiated the termination of the `Merchant` account.

  - `_embedded.List of Merchants.unreferenced_refund_card_present_enabled` (boolean)
    Indicates if the merchant is allowed to process unreferenced refunds initiated through card-present transactions on Finix terminals.

  - `_embedded.List of Merchants.unreferenced_refund_manual_entry_enabled` (boolean)
    Indicates if merchant is allowed to process unreferenced refunds initiated through manual card entry on Finix terminals.

  - `_embedded.List of Merchants.verification` (string)
    ID of the `Verification` that was submitted to verify the `Merchant`.

  - `_embedded.List of Merchants._links` (object)
    For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these `_links` to make your follow-up requests and quickly access relevant IDs.

  - `_embedded.List of Merchants._links.self` (object)
    Link to the resource that was used in the request.

  - `_embedded.List of Merchants._links.self.href` (string)

  - `_embedded.List of Merchants._links.identity` (object)
    Link to the `Identity` the request was made under.

  - `_embedded.List of Merchants._links.identity.href` (string)

  - `_embedded.List of Merchants._links.verifications` (object)
    Link to the `Verification` the request was made under.

  - `_embedded.List of Merchants._links.verifications.href` (string)

  - `_embedded.List of Merchants._links.merchant_profile` (object)
    Link to the `merchant_profile` the request was made under.

  - `_embedded.List of Merchants._links.merchant_profile.href` (string)

  - `_embedded.List of Merchants._links.application` (object)
    Link to the `Application` the request was made under.

  - `_embedded.List of Merchants._links.application.href` (string)

  - `_links` (object)

  - `_links.next` (object)
    Link to the next page of entries.

  - `_links.next.href` (string)

## Response 200 headers (application/json):

  - `date` (string)
    A response header indicating the date and time of the API request.
    Example: Tue, 08 Jul 2025 17:38:01 GMT

  - `finix-apiuser-role` (string)
    This response header indicating the role of the user who sent the API request.
    Enum: "ROLE_PLATFORM", "ROLE_PARTNER", "ROLE_MERCHANT"

  - `x-request-id` (string)
    This response header provides a unique identifier for the API request.
    Example: 055972f6534f92a896fbb61b11313ebb

## Response 401:

  - `401` (unknown)
    Unauthorized. Authentication is required and has failed or has not been provided.

## Response 401 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 403:

  - `403` (unknown)
    Forbidden. The client is authenticated but does not have permission to access the resource.

## Response 403 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 404:

  - `404` (unknown)
    Not Found. The requested resource could not be found on the server.

## Response 404 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 406:

  - `406` (unknown)
    Not Acceptable. The server could accept the submitted request. Confirm how the request was formatted and submitted.

## Response 406 fields (application/json):

  - `total` (integer, required)
    Total number of errors returned.

  - `_embedded` (object, required)
    Container for embedded error objects.

  - `_embedded.errors` (array)
    List of individual error objects.

  - `_embedded.errors.code` (string)
    The error code. The `UNKNOWN` error code is returned for a 401 Unauthorized or 403 Forbidden request.

  - `_embedded.errors.logref` (string)
    A log reference identifier for the error, useful for debugging and support purposes.

  - `_embedded.errors.message` (string)
    A human-friendly error message.

  - `_embedded.errors._links` (object)
    Links related to this error.

  - `_embedded.errors._links.self` (object)
    Link to the resource related to the error.

  - `_embedded.errors._links.self.href` (string)
    URL of the related resource.

## Response 200 examples:

  - `List of Merchants` (unknown)

## Response 401 examples:

  - `Unauthorized request` (unknown)

## Response 403 examples:

  - `Forbidden request` (unknown)

## Response 404 examples:

  - `NotFound` (unknown)

## Response 406 examples:

  - `Not acceptable` (unknown)

